-record(req, {method   :: cloudi_x_elli:http_method(),
              scheme   :: undefined | binary(),
              host     :: undefined | binary(),
              port     :: undefined | 1..65535,
              path     :: [binary()],
              args     :: [{binary(), any()}],
              raw_path :: binary(),
              version  :: cloudi_x_elli_http:version(),
              headers  :: cloudi_x_elli:headers(),
              body     :: cloudi_x_elli:body(),
              pid      :: pid(),
              socket   :: undefined | cloudi_x_elli_tcp:socket(),
              callback :: cloudi_x_elli_handler:callback()
             }).

-define(EXAMPLE_CONF, [{callback, cloudi_x_elli_example_callback},
                       {callback_args, []}]).
